Bug 149803 - Bad: unfortunate default screensaver
Bad: unfortunate default screensaver
Status: CLOSED DUPLICATE of bug 139513
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-02-27 04:52 EST by Laszlo BERES
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-06 05:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Laszlo BERES 2005-02-27 04:52:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After installing Fedora Core 3 with all default values, I was suprised
watching flying pornographic pictures on the screen over the head of
my children.
I found a very unfortunate setting: the default screensaver randomly
switches the installed screensavers, which contains one called
"Web-Collage". This "Web-Collage" - as described - "...makes collages
out of random images pulled off of the World Wide Web. It finds these
images by doing random web searches...".
I'm sure about the best aim of the package's maintainer, but we have
to be more careful if we'd like our children using Linux.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Just install FC3 and watch...

Additional info:
Comment 1 Sitsofe Wheeler 2005-02-27 08:36:54 EST
This is a dup of bug #140684
Comment 2 Sitsofe Wheeler 2005-02-27 08:37:57 EST
...which in turn is a dup of bug #139513
Comment 3 Laszlo BERES 2005-02-27 09:57:23 EST
Sorry, I have to develop the search engine in my head... I do apologize, but -
as well as teacher and father - I was really incensed.
Comment 4 Laszlo BERES 2005-02-27 09:59:58 EST
...by the way, the first bugreport is dated on 2004-11 and nothing happened
since then.
Comment 5 Sitsofe Wheeler 2005-02-27 14:01:03 EST
Laszlo, I'm not saying that you should have seen the other bug reports! I'm just
noting that it is a dup so you (or someone else) can close this bug quickly.
I've done the search for you : )
Comment 6 Sitsofe Wheeler 2005-02-27 14:10:37 EST
(btw it probably has been fixed in a rawhide RPM but not released for FC3
because it doesn't fix a crashing or security bug etc. Also, technically
speaking the default screensaver is always a blank screen so you must have
changed the default to something like random screensaver to have seen this.
Still nasty if you weren't expecting it though)
Comment 7 Sitsofe Wheeler 2005-02-27 14:20:09 EST
I take the last bit of #6 back since KDE defaults to a random screensaver (GNOME
doesn't) AND there is no way of stopping one screensaver appearing in random
mode : (
Comment 8 Ngo Than 2005-02-28 12:39:29 EST
it's the webcollage in xscreensaver, which is used in this case.
i assign it to correct component
Comment 9 Laszlo BERES 2005-05-06 05:36:30 EDT

*** This bug has been marked as a duplicate of 139513 ***

Note You need to log in before you can comment on or make changes to this bug.